<!DOCTYPE html>
<html lang="cs">
<head>
    <meta charset="UTF-8"/>
    <meta content="EndeavourOS ...." name="description"/>
    <meta content="EndeavourOS, Flatpak, Linux" name="keywords"/>
    <meta content="Kankys" name="author"/>

    <meta content="width=device-width, initial-scale=1.0" name="viewport"/>
    <link href="assets/style.css" rel="stylesheet"/>
    <link href="/img/icons.png" rel="shortcut icon"/>
    <script
            crossorigin="anonymous"
            src="https://kit.fontawesome.com/0a43c6cd1f.js"
    ></script>
    <!--icons dark, go to up-->
    <link
            href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css"
            rel="stylesheet"
    />
    <!--ubuntu fonts-->
    <style>
        @import url("https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap");
    </style>

    <title>EndeavourOS - Flatpak - nastavení vzhledu aplikací</title>
</head>
<body>
<?php require "assets/header.php" ?>
<main>
    <section class="welcome">
        <h1>Flatpak - nastavení vzhledu aplikací</h1>
        <img alt="" src="img/cardboard_box-1.webp"/>
        <p>
            Jednou z nevýhod používání Flatpaků místo tradičních aplikací je motiv
            aplikace. Někdy motiv používaný aplikací nemusí vždy odpovídat
            systémovému tématu. To je způsobeno aplikací Flatpak spuštěnou ve
            vlastním kontejneru. Uživatel má k dispozici několik možností, jak
            tento problém vyřešit.
        </p>
        <h3>
            <strong
            >Možnost #1 – Nainstalujte motiv přímo z úložiště Flathub.
            </strong>
        </h3>
        <p>
            Toto je oficiální způsob podpory tématiky aplikace Flatpak. V úložišti
            Flathub je v době psaní tohoto článku 201 nejběžnějších témat GTK.
            Chcete-li zobrazit seznam dostupných motivů, otevřete terminál a
            zadejte následující:
        </p>
        <p>
            <code
            ><strong
            >flatpak remote-ls flathub | grep org.gtk.Gtk3theme</strong
            ></code
            >
        </p>
        <p>
            Zobrazí se seznam všech motivů dostupných v úložišti Flathub. Přečtěte
            si seznam a nainstalujte motiv, který odpovídá používanému systémovému
            motivu.
        </p>
        <p>
            ❗<strong>Důležité</strong>: Motiv nainstalovaný pomocí této metody
            musí být stejný jako systémový motiv. Pokud je nainstalován jiný
            motiv, aplikace Flatpak použije svůj výchozí motiv Adwaita.
        </p>
        <h3>Příklad:</h3>
        <p>
            V tomto příkladu je použitým systémovým motivem, motiv Greybird-Geeko
            Dark.
        </p>
        <p>1. Otevřete terminál a zadejte:</p>
        <p>
            Zobrazí se obrazovka podobná následující. Výsledky jsem upravil, aby
            byl tento článek krátký.
        </p>
        <img alt="" class="" src="img/2024-04-20 15-15-09.png"/>
        <p>
            2. Najděte motiv, který odpovídá systémovému motivu, a nainstalujte
            jej zadáním:
        </p>
        <p>
            <code
            ><strong
            >flatpak install org.gtk.Gtk3theme.Graybird-Geeko-Dark</strong
            ></code
            >
        </p>
        <p>
            3. (Volitelné) Odhlaste se nebo restartujte počítač. Někdy je to
            potřeba k zajištění správného použití motivu v aplikaci Flatpak.
        </p>
        <p>
            Vizuální motiv používaný aplikací Flatpak by nyní měl vypadat stejně
            jako používaný systémový motiv.
        </p>
        <p>
            <strong
            >Možnost #2 – Pomocí skriptu zkopírujte potřebné informace o motivu
                přímo do složky aplikace Flatpak.
            </strong>
        </p>
        <p>
            Pokud motiv používaný systémem není dostupný z úložiště Flathub, je k
            dispozici další možnost. Ke zkopírování potřebných nastavení do složky
            aplikace Flatpak lze použít skript. 1 Tento skript stačí spustit pouze
            jednou a použije opravu na všechny aplikace Flatpak nainstalované v
            systému.
        </p>
        <p>
            ❗<strong>Upozornění</strong>: tato metoda není oficiálně podporována
            vývojáři Flatpaks. Použití na vlastní nebezpečí.
        </p>
        <p>1. Otevřete svůj oblíbený textový editor.</p>
        <p>
            2. Zkopírujte níže uvedený text a vložte jej do textového editoru.
        </p>
        <div class="code-box">
          <pre id="code-content">
#!/usr/bin/env bash

for dir in $HOME/.var/app/*/
do
    confdir="${dir}config/gtk-3.0"
    mkdir -p $confdir
    cp $HOME/.config/gtk-3.0/settings.ini $confdir/settings.ini
done
          </pre>
        </div>
        <p>
            3. Uložte soubor do domovské složky jako
            <code><strong>flatheme.sh</strong></code>
        </p>
        <p>
            4. Udělejte skript spustitelný, aby jej bylo možné použít. Otevřete
            terminál a zadejte:
        </p>
        <p>
            <code><strong>chmod a+x flatheme.sh</strong></code>
        </p>
        <p>
            5. Spusťte skript zadáním <code><strong>./flatheme.sh</strong></code>
        </p>
        <p>
            Nyní, když je spuštěna aplikace Flatpak, bude používat stejný motiv
            jako systémový motiv.
        </p>
        <p>
            POZNÁMKA: Tento skript je nutné spustit při každé instalaci nové
            aplikace Flatpak. Není nutné jej spouštět při aktualizaci existujících
            aplikací Flatpak.
        </p>
        <p>
            Provedení jednoho z výše uvedených řešení by mělo umožnit aplikacím
            Flatpak splynout s tradičně instalovanými aplikacemi. Tyto však
            „neopraví“ části rozhraní aplikace, které nejsou změněny zvoleným
            motivem. V těchto případech bude aplikace Flatpak dělat to samé jako
            tradičně nainstalované aplikace a použije výchozí nastavení motivu
            systému.
        </p>
        <p>
            Děkujeme uživateli GitHubu abiosoft za tento skript. Původní skript
            lze nalézt na
            <a
                    href="https://github.com/abiosoft/dotfiles/blob/master/flatpak/fixflatpaktheme.sh"
                    target="_blank"
            >https://github.com/abiosoft/dotfiles/blob/master/flatpak/fixflatpaktheme.sh</a
            >
        </p>
        <p>
            Návod je převzat z
            <a
                    href="https://discovery.endeavouros.com/applications/flatpak-tweaking-the-visuals/2021/03/"
                    target="_blank"
            >Discovery</a
            >
            na EndeavourOS vydán 29. března 2021.
        </p>
        
        <p>
            <code
            ><a href="https://lukaskanka.cz/" target="_blank">Kankys</a>
                20.4.2024</code
            >
        </p>
    </section>
</main>
<?php require "assets/returnbutton.php" ?>
<?php require "assets/footer.php"?>
<script src="assets/script.js"></script>
</body>
</html>
