<!DOCTYPE html>
<html lang="cs">

<head>
    <meta charset="UTF-8" />
    <meta content="EndeavourOS ...." name="description" />
    <meta content="EndeavourOS, VirtualBox" name="keywords" />
    <meta content="Kankys" name="author" />

    <meta content="width=device-width, initial-scale=1.0" name="viewport" />
    <link href="assets/style.css" rel="stylesheet" />
    <link href="/img/icons.png" rel="shortcut icon" />
    <script crossorigin="anonymous" src="https://kit.fontawesome.com/0a43c6cd1f.js"></script>
    <!--icons dark, go to up-->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css" rel="stylesheet" />
    <!--ubuntu fonts-->
    <style>
        @import url("https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap");
    </style>

    <title>EndeavourOS - Jak nainstalovat VirtualBox</title>
</head>

<body>
    <?php require "assets/header.php" ?>
    <main>
        <section class="welcome">
            <h1>Jak nainstalovat Virtualbox</h1>
            <img alt="" src="img/Virtualbox_logo.webp" style="width: 50%;height: auto;" />
            <p>
                VirtualBox je výkonný x86 a AMD64/Intel64
                <a href="https://www.virtualbox.org">virtualizační produkt </a>.
            </p>
            <h2>1. Nainstalujte hlavičky jádra (linux-headers)</h2>
            <p>
                <code><strong>sudo pacman -Syu --needed linux-headers</strong></code>
            </p>
            <p>
                <strong>Nebo</strong> pro <strong>jádra LTS</strong> nainstalujte
                linux-lts-headers
            </p>
            <p>
                <code><strong>sudo pacman -Syu --needed linux-lts-headers</strong></code>
            </p>
            <h2>2. Nainstalujte VirtualBox</h2>
            <p>
                <code><strong
            >sudo pacman -S virtualbox virtualbox-guest-iso</strong
            ></code>
            </p>
            <p>Budete požádáni o instalaci základních balíčků:</p>
            <p>
                * pro linuxové jádro zvolte
                <strong> virtualbox-host-modules-arch</strong>
            </p>
            <p>
                *pro ostatní jádra (jako LTS) zvolte
                <strong>virtualbox-host-dkms </strong>
            </p>
            <h2>
                3. Nainstalujte net-tools, pokud chcete používat pouze hostitelské
                nebo přemostěné sítě (volitelné)
            </h2>
            <p>
                <code><strong>sudo pacman -S net-tools</strong></code>
            </p>
            <h2>
                4. Nainstalujte virtualbox-ext-vnc, pokud potřebujete podporu serveru
                VNC (volitelné)
            </h2>
            <p>Jak chcete přistupovat k VM z externích systémů…</p>
            <p>
                <code><strong>sudo pacman -S virtualbox-ext-vnc</strong></code>
            </p>
            <h2>5. načtěte potřebný modul:</h2>
            <p>
                <code><strong>sudo modprobe vboxdrv</strong></code>
            </p>
            <h2>6. Přidejte své uživatele (uživatele) do skupiny vboxusers</h2>
            <p>
                <code><strong>sudo gpasswd -a username vboxusers</strong></code>
            </p>
            <h2>
                7. Přidejte rozšíření Oracle (volitelné, ale potřebné pro funkci USB)
            </h2>
            <p>Toto musí být nainstalovano z AUR::</p>
            <p>
                <code><strong>yay -S virtualbox-ext-oracle</strong></code>
            </p>
            <p>Po instalaci budou rozšíření automaticky povolena.</p>
            <p>
                Místo toho je také možné použít balíček VirtualBox stažený přímo z
                oracle:
            </p>
            <p>
                <a href="https://download.virtualbox.org/virtualbox/"
                    target="_blank">https://download.virtualbox.org/virtualbox/</a>
            </p>
            <p>Poté musíte otevřít VirtualBox a přejít na:</p>
            <p>
                <code><strong>File --> Preferences --> Extensions</strong></code>
            </p>
            <p>povolte balíček, který byl stažen.</p>
            <h2>Poznámky / Odstraňování problémů:</h2>
            <p>
                <strong>Přidejte sdílenou složku ke sdílení mezi hostitelem a hostem:
                </strong>
            </p>
            <img alt="" class="qt" src="img/2023-10-05_12-51.webp" style="width: 50%;height: auto;" />
            <p>Otevřete Nastavení a klikněte na sdílené složky.</p>
            <p>
                Přidejte sdílenou složku a zadejte potřebnou cestu k hostitelské
                složce a složce, kam to chcete připojit, uvnitř virtuálního počítače,
                můžete použít složku pod domovskou stránkou uživatelů a označit ji
                jako automatické připojení.
            </p>
            <p>
                Dále je třeba přidat uživatele uvnitř virtuálního počítače do potřebné
                skupiny:
            </p>
            <p>
                <code><strong>sudo usermod -aG vboxsf username</strong></code>
            </p>
            <p>
                kde musíte username jméno nahradit skutečným použitým uživatelským
                jménem.
            </p>
            <p>
                Po restartu virtuálního počítače byste měli mít přístup ke sdílené
                složce jako normální uživatel uvnitř virtuálního počítače.
            </p>
            <img alt="" class="qt" src="img/2023-10-05_13-13.webp" style="width: 50%;height: auto;" />
            <p>Grafická paměť:</p>
            <p>
                Na této obrazovce můžete nastavit paměť pro grafiku minimálně 125 MB
                (ale více bude lepší), což je doporučeno nastavit, stejně jako u 3D,
                co je třeba zaškrtnout.
            </p>
            <img alt="" src="img/Bildschirmfoto_2019-12-28_12-32-32.webpy" />
            <p>
                Návod je převzat z
                <a href="https://discovery.endeavouros.com/applications/how-to-install-virtualbox/2021/03/"
                    target="_blank">Discovery</a>
                na EndeavourOS vydán 9. března 2021.
            </p>

            <p>
                <code><a href="https://lukaskanka.cz/" target="_blank">Kankys</a>
                20.4.2024</code>
            </p>
        </section>
    </main>
    <?php require "assets/returnbutton.php" ?>
    <?php require "assets/footer.php" ?>
    <script src="assets/script.js"></script>
</body>

</html>