<!DOCTYPE html>
<html lang="cs">
<head>
    <meta charset="UTF-8"/>
    <meta
            content="EndeavourOS svobodný operační systém...."
            name="description"
    />
    <meta content="EndeavourOS, KDE Plasma, Linux" name="keywords"/>
    <meta content="Kankys" name="author"/>

    <meta content="width=device-width, initial-scale=1.0" name="viewport"/>
    <link href="assets/style.css" rel="stylesheet"/>
    <link href="/img/icons.png" rel="shortcut icon"/>
    <script
            crossorigin="anonymous"
            src="https://kit.fontawesome.com/0a43c6cd1f.js"
    ></script>
    <!--icons dark, go to up-->
    <link
            href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css"
            rel="stylesheet"
    />

    <!--ubuntu fonts-->
    <style>
        @import url("https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap");
    </style>

    <title>EndeavourOS - KDE PLasma</title>
</head>
<body>
<?php require "assets/header.php"; ?>
<main>
    <section class="welcome">
        <h1>💻 KDE Plasma</h1>
        <p>Použijte Plasma k surfování na webu, udržujte kontakt s kolegy, přáteli a rodinou. Spravujte vaše soubory, užívejte si hudbu a videa buďte kreativní a produktivní v práci.</p>
        <p>Vše toto najdete v krásném prostředí, které se přizpůsobí vašim potřebám, a s bezpečností, ochranou soukromí a klidem, který nabízí nejlepší Opensource software.</p>
        <img src="kde.webp" alt="" style="width: 40%;height: auto;">
        <p><a href="https://wiki.archlinux.org/title/KDE#Plasma" target="_blank">KDE na wiki ArchLinux</a></p>
        <p><a href="https://kde.org/de/plasma-desktop" target="_blank">KDE oficiální web</a></p>
        <p>Instalace a předinstalované balíčky, které jste získali s výchozí instalací EndeavourOS KDE Plasma, jsou minimální, připravené k nastavení vašich osobních potřeb.</p>
        <p>V případě, že chcete přidat nějaké další funkce, čtěte dál.</p>
        <h3>Gdrive (google):</h3>
        <p>Chcete-li Google Drive v Dolphin, nainstalujte <a href="https://archlinux.org/packages/?name=kio-gdrive" target="_blank">kio-gdrive</a>.</p>
        <p>Zdroje pro článek byly použity se svolením z oficialního webu <a href="https://endeavouros.com/" target="_blank">EndeavourOS</a>.</p>
        <div class="code-box">
          <pre id="code-content">
          pacman -Syu kio-gdrive
          </pre>
        </div>
        <h3>Dolphin (filebrowser) extras:</h3>
        <p><a href="https://wiki.archlinux.org/title/Dolphin#File_previews" target="_blank">https://wiki.archlinux.org/title/Dolphin#File_previews</a></p>
        <h3>File indexer Baloo:</h3>
        <p>Baloo slouží k indexování souborů a vyhledávání pro KDE Plasma. </p>
        <p>V případě, že funkcionalitu nepotřebujete, nebo používá příliš mnoho prostředků na starším hardware, můžeme ji vypnout:</p>
        <p><a href="https://wiki.archlinux.org/title/Baloo#Disabling_the_indexer" target="_blank">https://wiki.archlinux.org/title/Baloo#Disabling_the_indexer</a></p>
        <div class="code-box">
          <pre id="code-content">
          balooctl6 suspend
          balooctl6 disable
          balooctl6 purge
          </pre>
        </div>
        <h3>Aplikace a rozšíření:</h3>
        <p><a href="https://apps.kde.org/cs/" target="_blank">Přehled všech aplikací KDE Plasma</a></p>
        <p>Větši nu aplikací a rozšíření pro KDE najdete v <a href="https://archlinux.org/groups/x86_64/kde-applications/" target="_blank">AUR repozitářích</a>.</p>
        <p>Extra funkce pro správce nastavení se nazývají KCM. Dokumentaci k nim najdeme v <a href="https://develop.kde.org/docs/features/configuration/kcm/" target="_blank"> dokumentaci KDE</a>. Některé jsou v repozitářích <a href="https://archlinux.org/packages/?sort=&q=kcm&maintainer=&flagged=" target="_blank">AUR</a>. Některé více či méně užitečné možnosti kcm lze nalézt v <a href="https://aur.archlinux.org/packages?O=0&K=kcm" target="_blank">AUR</a>.</p>
        <code
        ><a href="https://lukaskanka.cz/" target="_blank">Kankys</a>
            8.11.2024</code
    </section>
</main>
<?php require "assets/returnbutton.php"; ?>
<?php require "assets/footer.php"; ?>
<script src="assets/script.js"></script>
</body>
</html>
